pulseaudio crashed with SIGABRT in pa_format_info_from_sample_spec()

Bug #864071 reported by Dmitry Yurchenko on 2011-10-01
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
David Henningsson
Oneiric
Undecided
Unassigned

Bug Description

no comments. Was just playing music from deadbeef

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: pulseaudio 1:1.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfbff4000 irq 22'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1458e601,00100002'
   Controls : 41
   Simple ctrls : 23
Card1.Amixer.info:
 Card hw:1 'U0x46d0x825'/'USB Device 0x46d:0x825 at usb-0000:00:02.1-1, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0825'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 6144
   Mono: Capture 6144 [100%] [30.00dB] [off]
Card2.Amixer.info:
 Card hw:2 'Live'/'SB Live! Value [CT4832] (rev.6, serial:0x80271102) at 0xbc00, irq 19'
   Mixer name : 'SigmaTel STAC9721,23'
   Components : 'AC97a:83847609'
   Controls : 221
   Simple ctrls : 42
CrashCounter: 1
Date: Sat Oct 1 17:26:27 2011
ExecutablePath: /usr/bin/pulseaudio
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110803.1)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 pa_format_info_from_sample_spec () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
 pa_source_output_new () from /usr/lib/libpulsecore-1.0.so
 ?? () from /usr/lib/pulse-1.0/modules/libprotocol-esound.so
 ?? () from /usr/lib/pulse-1.0/modules/libprotocol-esound.so
 pa_mainloop_dispatch () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
Title: pulseaudio crashed with SIGABRT in pa_format_info_from_sample_spec()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev pulse pulse-access sambashare syslog vboxusers
dmi.bios.date: 01/08/2010
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F4f
dmi.board.name: M52S-S3P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF4f:bd01/08/2010:svnGigabyteTechnologyCo.,Ltd.:pnM52S-S3P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnM52S-S3P:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: M52S-S3P
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

StacktraceTop:
 pa_format_info_from_sample_spec (ss=0x7fff3a43c374, map=0x7fff3a43c380) at pulse/format.c:204
 pa_source_output_new (_o=0x7f7ed4166d40, core=0x1789c70, data=0x7fff3a43c330) at pulsecore/source-output.c:246
 ?? ()
 ?? ()
 skip_one_complete_type (type_pos=0x7f7ed4166cb0, type_str=<optimized out>) at ../../dbus/dbus-marshal-recursive.c:315

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
David Henningsson (diwic) wrote :

Hello and thanks for your bug report. I've sent a patch upstream for discussion.

Changed in pulseaudio (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.0-0ubuntu4

---------------
pulseaudio (1:1.0-0ubuntu4) precise; urgency=low

  [ David Henningsson ]
  * Added patches:
    0103-module-jackdbus-detect-Avoid-double-free-of-modargs.patch:
      (LP: #867444)
    0104-source-output-Do-not-use-unset-channel-map-in-pa_sou.patch:
      (LP: #864071)
    0105-Fix-deferred-volume-not-being-applied-if-sink-is-clo.patch,
    0017-Hack-around-a-bug-in-the-core-causing-volumes-not-to.patch:
      These two patches affect users not having their volume correctly
      set on port change (LP: #877954)

  [ Luke Yelavich ]
  * debian/control: Update Vcs-Bzr field
  * 0102-Always-return-a-three-part-version-number-in-API-cal.patch: Refresh
    the patch from upstrea git, to refer to the correct commit hash, and
    update the description
  * Pull some bug fixes from the stable-1.x upstream git branch:
    - 411af6b (sink: Move updating the requested latency after the rewind
               request when finishing a stream move.)
    - 87f70c6 (null-sink: Set latency range at the time of initialization of
               module.)
    - d71a291 (Make pulse build with clang again)
    - 4e5943b (alsa: Give compressed formats preference over PCM)
    - 867170a (alsa: Better error handling in mixer rtpoll callback)
    - c055c55 (echo-cancel: Fail if loaded between a sink and its monitor)
    - 8754e0c (doc: Add some more doxygen tags to existing comments)
    - 2c30c07 (alsa: Make mixer error handling more robust still)
    - 8a5e6e8 (echo-cancel: Don't crash if adjust_time = 0)
    - 7b13a79 (echo-cancel: Close debug files on module unload)
    - 6bf0489 (tests: Fix calculation of memblock size in resampler-test)
    - 93f55a4 (filter-apply: Move sink/source unlink callbacks before m-s-r)
    - b1dabfb (build-sys: Drop libsamplerate from pulsecommon deps)
    - 743a4d0 (build-sys: Provide a simple CMake Config setup (similar to
               pkgconfig))
  * Add liborc-0.4-dev as a build dependency to add orc support
  * debian/libpulse-dev.install: Ship cmake files
 -- Luke Yelavich <email address hidden> Thu, 20 Oct 2011 11:36:43 +1100

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released

Hello Dmitry, or anyone else affected,

Accepted pulseaudio into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pulseaudio (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.0-0ubuntu3.1

---------------
pulseaudio (1:1.0-0ubuntu3.1) oneiric-proposed; urgency=low

  [ David Henningsson ]
  * Added patches:
    0103-module-jackdbus-detect-Avoid-double-free-of-modargs.patch:
      (LP: #867444)
    0104-source-output-Do-not-use-unset-channel-map-in-pa_sou.patch:
      (LP: #864071)
    0105-Fix-deferred-volume-not-being-applied-if-sink-is-clo.patch,
    0017-Hack-around-a-bug-in-the-core-causing-volumes-not-to.patch:
      These two patches affect users not having their volume correctly
      set on port change (LP: #877954)
 -- Luke Yelavich <email address hidden> Thu, 27 Oct 2011 08:37:49 +1100

Changed in pulseaudio (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.